Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Process_Strategy Class Reference

`#include <Endpoint_Strategy.h>`

Inheritance diagram for TAO_AV_Endpoint_Process_Strategy

[legend]
Collaboration diagram for TAO_AV_Endpoint_Process_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_AV_Endpoint_Process_Strategy (ACE_Process_Options *process_options)
| Constructor. The process_options contain the name and arguments for the process to be created.
virtual | ~TAO_AV_Endpoint_Process_Strategy (void)
| Destructor.
virtual int | activate (void)
| creates a new child process, and waits on a semaphore until the child process has finished creating the endpoints.
## Protected Methods
virtual int | bind_to_naming_service (CORBA::Environment &env)
| Bind to the naming service.
virtual int | get_stream_endpoint (CORBA::Environment &env) = 0
virtual int | get_vdev (CORBA::Environment &env)
| Get the Vdev object reference for the newly created endpoint.
## Protected Attributes
CosNaming::NamingContext_var | naming_context_
| Naming context.
ACE_Process_Options* | process_options_
| Name and arguments for the process to be created.
char | host_ [MAXHOSTNAMELEN]
| name of this host used for resolving unique names.
pid_t | pid_
| My child's process id.

## Constructor & Destructor Documentation

TAO_AV_Endpoint_Process_Strategy::TAO_AV_Endpoint_Process_Strategy ( | ACE_Process_Options * process_options )

| Constructor. The process_options contain the name and arguments for the process to be created.

TAO_AV_Endpoint_Process_Strategy::~TAO_AV_Endpoint_Process_Strategy ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

int TAO_AV_Endpoint_Process_Strategy::activate ( | void )`[virtual]`

| creates a new child process, and waits on a semaphore until the child process has finished creating the endpoints.

int TAO_AV_Endpoint_Process_Strategy::bind_to_naming_service ( | CORBA::Environment & env )`[protected, virtual]`

| Bind to the naming service.

int TAO_AV_Endpoint_Process_Strategy::get_stream_endpoint ( | CORBA::Environment & env )`[protected, pure virtual]`

| Get the object reference for the newly created stream endpoint (which will be in the child process) Subclasses will define the functionality for this Reimplemented in TAO_AV_Endpoint_Process_Strategy_A, and TAO_AV_Endpoint_Process_Strategy_B.

int TAO_AV_Endpoint_Process_Strategy::get_vdev ( | CORBA::Environment & env )`[protected, virtual]`

| Get the Vdev object reference for the newly created endpoint.

## Member Data Documentation

char TAO_AV_Endpoint_Process_Strategy::host_[MAXHOSTNAMELEN]`[protected]`

| name of this host used for resolving unique names.

CosNaming::NamingContext_var TAO_AV_Endpoint_Process_Strategy::naming_context_`[protected]`

| Naming context.

pid_t TAO_AV_Endpoint_Process_Strategy::pid_`[protected]`

| My child's process id.

ACE_Process_Options * TAO_AV_Endpoint_Process_Strategy::process_options_`[protected]`

| Name and arguments for the process to be created.

The documentation for this class was generated from the following files:

- Endpoint_Strategy.h
- Endpoint_Strategy.cpp